import { Inject, Singleton } from "../../src/Decorator"
import { Initializable } from "../../src/Interfaces"
import { COMPONENT_A_VALUE } from "../CONSTANTS"
import { TestComponent } from "./TestComponent"

@Singleton({
    initializationPriority: 3
})
export class ComponentA implements Initializable{
    @Inject(TestComponent)
    private testComponent: TestComponent

    initialize(): void{
        this.testComponent.pushData(COMPONENT_A_VALUE)
    }
}